Bug 44846 - Error message due to python 2.7 feature
Error message due to python 2.7 feature
Status: CLOSED FIXED
Product: UCS@school
Classification: Unclassified
Component: UMC - Classes / Teachers / Workgroup assignment
UCS@school 4.1 R2
Other Linux
: P5 normal with 2 votes (vote)
: UCS@school 4.3 v4
Assigned To: Daniel Tröder
Jürn Brodersen
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-23 13:08 CEST by Sönke Schwardt-Krummrich
Modified: 2018-07-04 18:08 CEST (History)
4 users (show)

See Also:
What kind of report is it?: Bug Report
What type of bug is this?: 1: Cosmetic issue or missing function but workaround exists
Who will be affected by this bug?: 5: Will affect all installed domains
How will those affected feel about the bug?: 1: Nuisance – not a big deal but noticeable
User Pain: 0.029
Enterprise Customer affected?: Yes
School Customer affected?: Yes
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sönke Schwardt-Krummrich univentionstaff 2017-06-23 13:08:26 CEST
16.03.17 20:19:34.817  MODULE      ( PROCESS ) : Trigger für python-support werden verarbeitet ...
16.03.17 20:19:34.817  MODULE      ( PROCESS ) : Aufruf des Nach-Installations-Triggers python-support
16.03.17 20:19:35.223  MODULE      ( PROCESS ) : Compiling /usr/lib/pymodules/python2.6/univention/management/console/modules/schoolgroups/__init__.py ...
16.03.17 20:19:35.223  MODULE      ( PROCESS ) : SyntaxError: ('invalid syntax', ('/usr/lib/pymodules/python2.6/univention/management/console/modules/schoolgroups/__init__.py', 135, 64, '\t\t\tif not user.schools or not set(user.schools) 
& {group.school}:\n'))

Looks like python 2.6 does not support the definition of a set: {group.school}

No error message is shown for python 2.7 and in UCS 4.1 the UMC modules use python 2.7 → I think this is no real problem
Comment 1 Florian Best univentionstaff 2017-06-23 13:13:40 CEST
Please vote for Bug #43336!
Comment 2 Daniel Tröder univentionstaff 2017-06-23 13:39:03 CEST
The python-pysaml2 version in UCS 4.1 (2.4.0-2.4.201702142305) is not imported from Debian. It has a hard dependency on "python2.6".
Comment 3 Daniel Tröder univentionstaff 2018-05-23 22:22:11 CEST
[4.3] d1c31956 Bug #44846: fix SyntaxError for systems that have Python 2.6 installed
[4.3] 25fb3222 Bug #44846: changelog
[4.3] 46c7b324 Bug #44846: advisory
Comment 4 Jürn Brodersen univentionstaff 2018-05-31 17:19:22 CEST
OK
-> Verified
Comment 5 Sönke Schwardt-Krummrich univentionstaff 2018-07-04 18:08:44 CEST
UCS@school 4.3 v4 has been released.

https://docs.software-univention.de/changelog-ucsschool-4.3v4-de.html

If this error occurs again, please clone this bug.